- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/get#try-it)

Returns a specific guardian invitation.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to view guardian invitations for the student identified by the `studentId`, if guardians are not enabled for the domain in question, or for other [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if a `studentId` is specified, but its format cannot be recognized (it is not an email address, nor a `studentId` from the API, nor the literal string `me`).
- `NOT_FOUND` if Classroom cannot find any record of the given student or `invitationId`. May also be returned if the student exists, but the requesting user does not have access to see that student.

### HTTP request

`GET https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardianInvitations/{invitationId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `studentId` | `string` The ID of the student whose guardian invitation is being requested. |
| `invitationId` | `string` The `id` field of the `GuardianInvitation` being requested. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations#GuardianInvitation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).